
Robotics Service Bus - Tasks #560
Enhancement # 498 (Closed): Integrate causal vector for events
Add cause checking to integration test
09/08/2011 05:45 PM - J. Wienke

Status: Resolved Start date: 09/08/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Language Integration Estimated time: 2.00 hours
Target version: 0.5
Description

Associated revisions
Revision 8972a1bd - 10/20/2011 07:14 AM - J. Moringen
Added generation/validation of cause event ids in informers/listeners
fixes #560
    -  cpp/informer.cpp: add one cause event id to published events
    -  cpp/listener.cpp: validate scope, payload size and cause event id of

  received events
    -  java/informer.java: add one cause event id to published events
    -  java/listener.java: validate scope, payload size and cause event id

  of received events
    -  lisp/informer.lisp: add one cause event id to published events
    -  lisp/listener.lisp: validate scope, payload size and cause event id

  of received events
    -  python/informer.py: add one cause event id to published events
    -  python/listener.py: validate scope, payload size and cause event id

  of received events

History
#1 - 09/12/2011 04:16 PM - J. Wienke
- Status changed from New to Rejected

The protocol is currently very simple and adding this check to the test would be too much work right now.

#2 - 10/20/2011 02:27 AM - J. Moringen
- Status changed from Rejected to In Progress
- Assignee set to J. Moringen
- Target version changed from rsb-0.10 to 0.5
- % Done changed from 0 to 40

#3 - 10/20/2011 07:18 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 40 to 100

Applied in changeset r2912.
